org.eclipse.wst.jsdt.chromium.debug.core.model

## Class LineBreakpointAdapter

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.model.LineBreakpointAdapter

Direct Known Subclasses:
  LineBreakpointAdapter.ForVirtualProject

    public abstract class LineBreakpointAdapter
    extends java.lang.Object

Adapter to create breakpoints in JS files.

### Nested Class Summary

Nested Classes
`static class` `LineBreakpointAdapter.ForVirtualProject`

### Constructor Summary

Constructors
Constructor and Description
`LineBreakpointAdapter()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`boolean` `canToggleLineBreakpoints(IWorkbenchPart part, ISelection selection)`
`boolean` `canToggleMethodBreakpoints(IWorkbenchPart part, ISelection selection)`
`boolean` `canToggleWatchpoints(IWorkbenchPart part, ISelection selection)`
`protected abstract java.lang.String` `getDebugModelId()`
`protected abstract ITextEditor` `getEditor(IWorkbenchPart part)` Returns the editor being used to edit a PDA file, associated with the given part, or `null` if none.
`void` `toggleLineBreakpoints(IWorkbenchPart part, ISelection selection)`
`void` `toggleMethodBreakpoints(IWorkbenchPart part, ISelection selection)`
`void` `toggleWatchpoints(IWorkbenchPart part, ISelection selection)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LineBreakpointAdapter

    public LineBreakpointAdapter()

### Method Detail

#### toggleLineBreakpoints

    public void toggleLineBreakpoints(IWorkbenchPart part,
                                      ISelection selection)
                               throws CoreException

Throws:
  `CoreException`

#### canToggleLineBreakpoints

    public boolean canToggleLineBreakpoints(IWorkbenchPart part,
                                            ISelection selection)

#### getEditor

    protected abstract ITextEditor getEditor(IWorkbenchPart part)

Returns the editor being used to edit a PDA file, associated with the given part, or `null` if none.

Parameters:
  `part` - workbench part
Returns:
  the editor being used to edit a PDA file, associated with the given part, or `null` if none

#### getDebugModelId

    protected abstract java.lang.String getDebugModelId()

#### toggleMethodBreakpoints

    public void toggleMethodBreakpoints(IWorkbenchPart part,
                                        ISelection selection)
                                 throws CoreException

Throws:
  `CoreException`

#### canToggleMethodBreakpoints

    public boolean canToggleMethodBreakpoints(IWorkbenchPart part,
                                              ISelection selection)

#### toggleWatchpoints

    public void toggleWatchpoints(IWorkbenchPart part,
                                  ISelection selection)
                           throws CoreException

Throws:
  `CoreException`

#### canToggleWatchpoints

    public boolean canToggleWatchpoints(IWorkbenchPart part,
                                        ISelection selection)